<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>print() for C++20: StreamModifier Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">print() for C++20
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>cpp20print</b></li><li class="navelem"><b>terminal</b></li><li class="navelem"><a class="el" href="classcpp20print_1_1terminal_1_1StreamModifier.html">StreamModifier</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">StreamModifier Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Helper class that keeps track of stream flags.  
 <a href="classcpp20print_1_1terminal_1_1StreamModifier.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="terminalcolors_8h_source.html">terminalcolors.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad40734bf045f1fc3da4b4e6712ef5635"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp20print_1_1terminal_1_1StreamModifier.html#ad40734bf045f1fc3da4b4e6712ef5635">StreamModifier</a> (std::ostream &amp;stream)</td></tr>
<tr class="memdesc:ad40734bf045f1fc3da4b4e6712ef5635"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes class and saves current flags of the stream.  <a href="classcpp20print_1_1terminal_1_1StreamModifier.html#ad40734bf045f1fc3da4b4e6712ef5635">More...</a><br /></td></tr>
<tr class="separator:ad40734bf045f1fc3da4b4e6712ef5635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fda381c4f568351b550f67d3443592c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp20print_1_1terminal_1_1StreamModifier.html#a4fda381c4f568351b550f67d3443592c">set_color</a> (const <a class="el" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> color, const <a class="el" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">Weight</a> weight=Weight::Default)</td></tr>
<tr class="memdesc:a4fda381c4f568351b550f67d3443592c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the output color and font weight for the associated stream.  <a href="classcpp20print_1_1terminal_1_1StreamModifier.html#a4fda381c4f568351b550f67d3443592c">More...</a><br /></td></tr>
<tr class="separator:a4fda381c4f568351b550f67d3443592c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69483bca44104d0bcd0b2270ad2549ab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp20print_1_1terminal_1_1StreamModifier.html#a69483bca44104d0bcd0b2270ad2549ab">~StreamModifier</a> () noexcept</td></tr>
<tr class="memdesc:a69483bca44104d0bcd0b2270ad2549ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets the flags and output color of the stream.  <a href="classcpp20print_1_1terminal_1_1StreamModifier.html#a69483bca44104d0bcd0b2270ad2549ab">More...</a><br /></td></tr>
<tr class="separator:a69483bca44104d0bcd0b2270ad2549ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Helper class that keeps track of stream flags. </p>
<p>When a <a class="el" href="classcpp20print_1_1terminal_1_1StreamModifier.html" title="Helper class that keeps track of stream flags.">StreamModifier</a> object goes out of scope, the stream's initial flags and formatting will be restored. (Using a <a class="el" href="classcpp20print_1_1terminal_1_1StreamModifier.html" title="Helper class that keeps track of stream flags.">StreamModifier</a> object will make sure that even when an exception is thrown (and handled), the stream will be reset properly.) </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad40734bf045f1fc3da4b4e6712ef5635"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad40734bf045f1fc3da4b4e6712ef5635">&#9670;&nbsp;</a></span>StreamModifier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classcpp20print_1_1terminal_1_1StreamModifier.html">StreamModifier</a> </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initializes class and saves current flags of the stream. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>any console or file output stream. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a69483bca44104d0bcd0b2270ad2549ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69483bca44104d0bcd0b2270ad2549ab">&#9670;&nbsp;</a></span>~StreamModifier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">~<a class="el" href="classcpp20print_1_1terminal_1_1StreamModifier.html">StreamModifier</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Resets the flags and output color of the stream. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4fda381c4f568351b550f67d3443592c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fda381c4f568351b550f67d3443592c">&#9670;&nbsp;</a></span>set_color()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void set_color </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a>&#160;</td>
          <td class="paramname"><em>color</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">Weight</a>&#160;</td>
          <td class="paramname"><em>weight</em> = <code>Weight::Default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the output color and font weight for the associated stream. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>specifies font color </td></tr>
    <tr><td class="paramname">weight</td><td>specifies font weight </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/<a class="el" href="terminalcolors_8h_source.html">terminalcolors.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
